<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <file filelist='ninegate' name='/etc/eole/eole-db.d/ninegate-db.yml' rm='True' mkdir='True'/>
        <file filelist='ninegate_nginx' name='/etc/nginx/web.d/ninegate.conf' source='ninegate-nginx.conf' rm='True' mkdir='True' />   
    </files>

    <containers>
        <container name='web'>
            <package>ninegate-apps</package>

            <file filelist='ninegate' name='/etc/apache2/sites-available/ninegate' source='ninegate-apache.conf' rm="True"/>
            <file filelist='ninegate' name='/lib/systemd/system/wssninegate.service' source='wssninegate.service'/>
            <file filelist='ninegate' name='/lib/systemd/system/msgninegate.service' source='msgninegate.service'/>
            <file filelist="ninegate" name="/var/www/html/ninegate/src/Command/data/core-init-01.sql" source="ninegate-init-01.sql" rm="True"/>
			<file filelist='nineboard' name='/var/www/html/ninegate/.env.local' source='ninegate-env.local' rm='True'/>
            <file filelist='ninegate' name='/etc/cron.d/ninegate' source='ninegate.cron' rm='True'/>

            <file filelist='ninegate-migration' name='/var/www/html/envole-migration/config/config-db-ninegate.php' source='ninegate-migration.php' mkdir='True'/>

            <service method='apache' servicelist='ninegate'>ninegate</service>
            <service servicelist="ninegate">wssninegate</service>
            <service servicelist="ninegate">msgninegate</service>
        </container>
    </containers>

    <variables>
        <family name='Ninegate' icon='home'>
            <variable type='oui/non' name='activer_cadolesldap' description='Activer Annuaire Cadoles' hidden='True' exists='False'/>
            <variable type='string' name='cadolesldap_pwdadmin' description="Mot de passe du compte admin durant l'instance" hidden='True' exists='False'/>
            <variable type='string' name='cadolesldap_organization' description="Nom de l'organisation principale" hidden='True' exists='False'/>
            <variable type='string' name='cadolesldap_niveau01branche' description="Nom de la branche de Niveau 01" hidden='True' exists='False'><value>niveau01</value></variable>
            <variable type='string' name='cadolesldap_niveau02branche' description="Nom de la branche de Niveau 02" hidden='True' exists='False'><value>niveau02</value></variable>
            <variable type='string' name='cadolesldap_niveau01name' description="Nom de la première orgranisation de Niveau 01" hidden='True' exists='False'/>
            <variable type='string' name='cadolesldap_niveau01siren' description="SIREN de la première orgranisation de Niveau 01" hidden='True' exists='False'/>

            <variable name="ninegate_test_ninegate" type="oui/non" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_adminer" type="oui/non" description="Activer Adminer" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_balado" type="oui/non" description="Activer Balado" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_cdt" type="oui/non" description="Activer CdT" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_dokuwiki" type="oui/non" description="Activer Dokuwiki" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_econnect" type="oui/non" description="Activer eConnect" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_ead_web" type="oui/non" description="Activer EAD" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_eoe" type="oui/non" description="Activer EOE" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_eop" type="oui/non" description="Activer EOP" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_etherhome" type="oui/non" description="Activer Etherhome" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_fluxbb" type="oui/non" description="Activer Fluxbb" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_genconfig" type="oui/non" description="Activer Genconfig" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_gepi" type="oui/non" description="Activer GEPI" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_glpi" type="oui/non" description="Activer GLPI" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_grr" type="oui/non" description="Activer Grr" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_kanboard" type="oui/non" description="Activer Kanboard" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_limesurvey" type="oui/non" description="Activer Limesurvey" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_mindmaps" type="oui/non" description="Activer Mindmaps" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_moodle" type="oui/non" description="Activer Moodle" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_nextcloud" type="oui/non" description="Activer Nextcloud" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_nineboard" type="oui/non" description="Activer Nineboard" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_nineschool" type="oui/non" description="Activer Nineschool" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_ninesurvey" type="oui/non" description="Activer Ninesurvey" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_opensondage" type="oui/non" description="Activer Opensondage" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_phpldapadmin" type="oui/non" description="Activer phpLdapAdmin" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_piwigo" type="oui/non" description="Activer Piwigo" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_piwik" type="oui/non" description="Activer Piwik" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_roundcube" type="oui/non" description="Activer Roundcube" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_sacoche" type="oui/non" description="Activer Sacoche" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_wordpress" type="oui/non" description="Activer Wordpress" hidden='True' exists='False'><value>non</value></variable>
            <variable name="activer_revprox" type="oui/non" description="Activer le reverse proxy Nginx" hidden='True' exists='False'><value>non</value></variable>
            
            
            <variable name="activer_sondepiwik_local" type="oui/non" description="Activer Sonde Piwik" hidden='True' exists='False'><value>non</value></variable>            
            <variable name='poshprofil_typesynchro' type='string' description='Type de synchronisation' hidden='True' exists='False'><value>Annuaire</value></variable>

            <variable name='moodle_apikey' type='string' description="API Key pour accéder au webservice Moodle"  hidden='True' exists='False' />


            <variable name='ninegate_test_sonde' type='oui/non' hidden='True'/>
            <variable name='ninegate_test_conf_cadolesldap' type='oui/non' hidden='True'/>
            <variable name='ninegate_test_conf_ldap' type='oui/non' hidden='True'/>


            <variable type='oui/non' name='activer_ninegate' description='Activer Ninegate'><value>oui</value></variable>

            <variable type='string'  name='ninegate_masteridentity' description="Maître de l'Identité" mandatory='True'><value>LDAP</value></variable>
            <variable type='string'  name='ninegate_mode_auth' description="Mode Authentification" mandatory='True'><value>CAS</value></variable>
            <variable type='string'  name='ninegate_api_key' description="Clé d'accès API" mandatory='True'><value>APIKeyNinegate</value></variable>

            <variable type='oui/non' name='ninegate_ssosynchrogroup' description="Générer automatiquement les groupes en fonction d'un attribut SSO"><value>oui</value></variable>
            <variable type='string'  name='ninegate_ssoreqgroup' description="Attribut SSO associé à la notion de groupe" mandatory='True'><value>user_groups</value></variable>
            <variable type='oui/non' name='ninegate_ssosynchroitem' description="Associer automatiquement les items en fonction d'un attribut SSO"><value>non</value></variable>
            <variable type='string'  name='ninegate_ssoreqitem' description="Attribut SSO associé à la notion d'item" mandatory='True'><value></value></variable>
            <variable type='string'  name='ninegate_typesso' description="Mode de connexion SSO (Client ou Proxy)" mandatory='True'><value>client</value></variable>

            <variable type='oui/non' name='ninegate_syncldap' description="Synchroniser Ninegate vers votre Annuaire CadolesLDAP"><value>non</value></variable>
            <variable type='string'  name='ninegate_ldaptemplate' description="Modèle d'annuaire"><value>scribe</value></variable>
            <variable type='oui/non' name='ninegate_scribegroup' description="Considérer les classes/options comme des groupes de travail"><value>oui</value></variable>
            <variable type='oui/non' name='ninegate_scribemaster' description="Placer les professeurs comme manager des groupes classes/options"><value>oui</value></variable>
            <variable type='string'  name='ninegate_openldapreqniveau01' description="Lors de l'initalisation de Ninegate requete LDAP utilisateur de votre premier Niveau01" mandatory='True'><value>(uid=*)</value></variable>
            <variable type='oui/non' name='ninegate_openldapsynchrogroup' description="Générer automatiquement les groupes en fonction de votre annuaire"><value>oui</value></variable>
            <variable type='string'  name='ninegate_openldapreqgroup' description="Générer automatiquement les groupes en fonction de votre annuaire" mandatory='True'><value>(objectClass=posixGroup)</value></variable>
            <variable type='string'  name='ninegate_openldapsubbranchgroup' description="Rechercher les groupes dans la sous-branche" mandatory='False' />
            <variable type='string'  name='ninegate_openldapsubbranchuser' description="Rechercher les utilisateurs dans la sous-branche" mandatory='False' />

            <variable type='string'  name='ninegate_ldaptype' description="Annuaire Cadoles LDAP ou AD " mandatory='True'><value>LDAP</value></variable>
            <variable type='string'  name='ninegate_addomainehome' description="Nom de votre domaine AD Home" mandatory='True'><value></value></variable>
	    <variable type='string'  name='ninegate_addomaineprofil' description="Nom de votre domaine AD Profil"/>
            <variable type='string'  name='ninegate_pwdadmin' description="Mot de passe du compte admin durant l'instance (idem valeur Cadoles ldap)" mandatory='True'><value></value></variable>
            <variable type='string'  name='ninegate_organization' description="Nom de l'organisation principale (idem valeur Cadoles ldap)" mandatory='True'><value></value></variable>
            <variable type='string'  name='ninegate_niveau01branche' description="Nom de la branche de Niveau 01 (idem valeur Cadoles ldap)" mandatory='True'><value>niveau01</value></variable>
            <variable type='string'  name='ninegate_niveau02branche' description="Nom de la branche de Niveau 02 (idem valeur Cadoles ldap)" mandatory='True'><value>niveau02</value></variable>
            <variable type='string'  name='ninegate_niveau01name' description="Nom de la première orgranisation de Niveau 01 (idem valeur Cadoles ldap)" mandatory='True'><value></value></variable>
            <variable type='string'  name='ninegate_niveau01siren' description="SIREN de la première orgranisation de Niveau 01 (idem valeur Cadoles ldap)"><value></value></variable>

            <variable type='string'  name='ninegate_niveau01label' description="Label singulier du niveau 01 d'organisation"  mandatory='True'><value>Ecole</value></variable>
            <variable type='string'  name='ninegate_niveau01labels' description="Label pluriel du niveau 01 d'organisation"  mandatory='True'><value>Ecoles</value></variable>
            <variable type='string'  name='ninegate_niveau01icon' description="Icon du niveau 01 d'organisation"  mandatory='True'><value>fa-building</value></variable>
            
            <variable type='oui/non' name='ninegate_niveau02view' description="Gérer un niveau 02 d'organisation"><value>non</value></variable>
            <variable type='string'  name='ninegate_niveau02label' description="Label pluriel du niveau 02 d'organisation"  mandatory='True'><value>Service</value></variable>
            <variable type='string'  name='ninegate_niveau02labels' description="Label pluriel du niveau 02 d'organisation"  mandatory='True'><value>Services</value></variable>
            <variable type='string'  name='ninegate_niveau02icon' description="Icon du niveau 02 d'organisation"  mandatory='True'><value>fa-sitemap</value></variable>
            
            <variable type='string'  name='ninegate_colormain' description="Couleur principale"  mandatory='True'><value>2c3e50</value></variable>
            <variable type='string'  name='ninegate_fontcolorhover' description="Couleur des polices sur fond de couleur principale"  mandatory='True'><value>FFFFFF</value></variable>
            
            <variable type='string'  name='ninegate_moderegistration' description="Mode de registration : none / byuser / byadmin"  mandatory='True'><value>none</value></variable>
            <variable type='string'  name='ninegate_keyterm' description="Durée de validité du jeton d'inscription"  mandatory='True'><value>8</value></variable>
            <variable type='string'  name='ninegate_minpassword' description="Taille minimun du password"  mandatory='True'><value>8</value></variable>

            <variable type='oui/non' name='ninegate_forcetheme' description="Forcer l'utilisation d'un thème"><value>non</value></variable>
            <variable type='string'  name='ninegate_forcethemename' description="Nom du thème"><value></value></variable>


            <!-- MODULE PORTAL -->
            <variable type="oui/non" name='ninegate_activate_portal' description='Activer le module portail'  mandatory='True'>
                <value>oui</value>
            </variable>
            <variable type="oui/non" name='ninegate_activate_page' description='Activer le module page'  mandatory='True'>
                <value>oui</value>
            </variable>            
            <variable type="oui/non" name='ninegate_activate_item' description='Activer le module item'  mandatory='True'>
                <value>oui</value>
            </variable>
            <variable type="oui/non" name='ninegate_activate_alert' description='Activer le module annonce'  mandatory='True'>
                <value>oui</value>
            </variable>            
            <variable type="oui/non" name='ninegate_activate_calendar' description='Activer le module calendrier'  mandatory='True'>
                <value>oui</value>
            </variable>            
            <variable type="oui/non" name='ninegate_activate_blog' description='Activer le module blog'  mandatory='True'>
                <value>oui</value>
            </variable>            
            <variable type="oui/non" name='ninegate_activate_project' description='Activer le module projet'  mandatory='True'>
                <value>oui</value>
            </variable>            
            <variable type="oui/non" name='ninegate_activate_flux' description='Activer le module flux'  mandatory='True'>
                <value>oui</value>
            </variable>            
            <variable type="oui/non" name='ninegate_activate_notice' description='Activer le module charte'  mandatory='True'>
                <value>oui</value>
            </variable>            



            <!-- MODULE SYNCENVOLE -->
            <variable type="oui/non" name='ninegate_activate_syncenvole' description='Activer le module Synchronisation Envole'  mandatory='True'>
                <value>oui</value>
            </variable>



            <!-- MODULE CRON -->
            <variable type="oui/non" name='ninegate_activate_cron' description='Activer le module CRON'  mandatory='True'>
                <value>oui</value>
            </variable>


                        
            <!-- MODULE WEBSOCKET -->
            <variable type="oui/non" name='ninegate_activate_websocket' description='Activer le module WEBSOCKET'  mandatory='True'>
                <value>oui</value>
            </variable>




            <!-- ADMINER -->
            <variable type="oui/non" name='ninegate_activate_widadminer' description='Activer Adminer'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widadminer_url' description='URL complète de votre Adminer'  mandatory='True' />

            <!-- BALADO -->
            <variable type="oui/non" name='ninegate_activate_widbalado' description='Activer Balado'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widbalado_url' description='URL complète de votre Balado'  mandatory='True' />
            <variable type='string'  name='ninegate_widbalado_syncenvole' description='URL Posh-Profil pour synchronisation Balado' mandatory='True' />

            <!-- CDT -->
            <variable type="oui/non" name='ninegate_activate_widcdt' description='Activer CdT'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widcdt_url' description='URL complète de votre CdT'  mandatory='True' />
            <variable type='string'  name='ninegate_widcdt_syncenvole' description='URL Posh-Profil pour synchronisation CdT' mandatory='True' />

            <!-- DOKUWIKI -->
            <variable type="oui/non" name='ninegate_activate_widdokuwiki' description='Activer Dokuwiki'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widdokuwiki_url' description='URL complète de votre Dokuwiki'  mandatory='True' />

            <!-- ECONNECT -->
            <variable type="oui/non" name='ninegate_activate_wideconnect' description='Activer eConnect'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_wideconnect_url' description='URL complète de votre eConnect'  mandatory='True' />

            <!-- EAD -->
            <variable type="oui/non" name='ninegate_activate_widead' description='Activer EAD'  mandatory='True'>
                <value>non</value>
            </variable>

            <!-- EOE -->
            <variable type="oui/non" name='ninegate_activate_wideoe' description='Activer EOE'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_wideoe_url' description='URL complète de votre EOE'  mandatory='True' />
            
            <!-- EOP -->
            <variable type="oui/non" name='ninegate_activate_wideop' description='Activer EOP'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_wideop_url' description='URL complète de votre EOP'  mandatory='True' />
            
            <!-- ETHERHOME -->
            <variable type="oui/non" name='ninegate_activate_widetherhome' description='Activer Etherhome'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widetherhome_url' description='URL complète de votre Etherhome'  mandatory='True' />

            <!-- FLUXBB -->
            <variable type="oui/non" name='ninegate_activate_widfluxbb' description='Activer Fluxbb'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widfluxbb_url' description='URL complète de votre Fluxbb'  mandatory='True' />

            <!-- GENCONFIG -->
            <variable type="oui/non" name='ninegate_activate_widgenconfig' description='Activer Genconfig'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widgenconfig_url' description='URL complète de votre Genconfig'  mandatory='True' />

            <!-- GEPI -->
            <variable type="oui/non" name='ninegate_activate_widgepi' description='Activer GEPI'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widgepi_url' description='URL complète de votre GEPI'  mandatory='True' />
            <variable type='string'  name='ninegate_widgepi_syncenvole' description='URL Posh-Profil pour synchronisation GEPI' mandatory='True' />

            <!-- GLPI -->
            <variable type="oui/non" name='ninegate_activate_widglpi' description='Activer GLPI'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widglpi_url' description='URL complète de votre GLPI'  mandatory='True' />
            
            <!-- GRR -->
            <variable type="oui/non" name='ninegate_activate_widgrr' description='Activer Grr'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widgrr_url' description='URL complète de votre Grr'  mandatory='True' />

            <!-- KANBOARD -->
            <variable type="oui/non" name='ninegate_activate_widkanboard' description='Activer Kanboard'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widkanboard_url' description='URL complète de votre Kanboard'  mandatory='True' />

            <!-- LIMESURVEY -->
            <variable type="oui/non" name='ninegate_activate_widlimesurvey' description='Activer Limesurvey'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widlimesurvey_url' description='URL complète de votre Limesurvey'  mandatory='True' />
            <variable type='string'  name='ninegate_widlimesurvey_apiuser' description='API User de votre Limesurvey'  mandatory='True' />
            <variable type='string'  name='ninegate_widlimesurvey_apikey' description='API Key de votre Limesurvey'  mandatory='True' />
            <variable type='string'  name='ninegate_widlimesurvey_syncenvole' description='URL Posh-Profil pour synchronisation Limesurvey' mandatory='True' />

            <!-- MINDMAPS -->
            <variable type="oui/non" name='ninegate_activate_widmindmaps' description='Activer Mindmaps'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widmindmaps_url' description='URL complète de votre Mindmaps'  mandatory='True' />

            <!-- MOODLE -->
            <variable type="oui/non" name='ninegate_activate_widmoodle' description='Activer Moodle'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widmoodle_url' description='URL complète de votre Moodle'  mandatory='True' />
            <variable type='string'  name='ninegate_widmoodle_apikey' description='API Key de votre Moodle'  mandatory='True' />
            <variable type='string'  name='ninegate_widmoodle_syncenvole' description='URL Posh-Profil pour synchronisation Moodle' mandatory='True' />

            <!-- NEXTCLOUD -->
            <variable type="oui/non" name='ninegate_activate_widnextcloud' description='Activer Nextcloud'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widnextcloud_url' description='URL complète de votre Nextcloud'  mandatory='True' />
            <variable type='string'  name='ninegate_widnextcloud_syncenvole' description='URL Posh-Profil pour synchronisation Nextcloud' mandatory='True' />

            <!-- NINEBOARD -->
            <variable type="oui/non" name='ninegate_activate_widnineboard' description='Activer Nineboard'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widnineboard_url' description='URL complète de votre Nineboard'  mandatory='True' />

            <!-- NINESCHOOL -->
            <variable type="oui/non" name='ninegate_activate_widnineschool' description='Activer Nineschool'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widnineschool_url' description='URL complète de votre Nineschool'  mandatory='True' />

            <!-- NINESURVEY -->
            <variable type="oui/non" name='ninegate_activate_widninesurvey' description='Activer Ninesurvey'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widninesurvey_url' description='URL complète de votre Ninesurvey'  mandatory='True' />

            <!-- ONLY OFFICE -->
            <variable type="oui/non" name='ninegate_activate_widonlyoffice' description='Activer OnlyOffice'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widonlyoffice_url' description='URL complète de votre Onlyoffice'  mandatory='True' />
            <variable type="oui/non" name='ninegate_widonlyoffice_sync' description='Activer la Synchronisation Onlyoffice'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widonlyoffice_user' description='Login admin de votre Onlyoffice'  mandatory='True' />
            <variable type='string'  name='ninegate_widonlyoffice_password' description='Password admin de votre Onlyoffice'  mandatory='True' />

            <!-- OPENSONDAGE -->
            <variable type="oui/non" name='ninegate_activate_widopensondage' description='Activer Opensondage'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widopensondage_url' description='URL complète de votre Opensondage'  mandatory='True' />

            <!-- PHPLDAPADMIN -->
            <variable type="oui/non" name='ninegate_activate_widphpldapadmin' description='Activer phpLdapAdmin'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widphpldapadmin_url' description='URL complète de votre phpLdapAdmin'  mandatory='True' />

            <!-- PIWIGO -->
            <variable type="oui/non" name='ninegate_activate_widpiwigo' description='Activer Piwigo'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widpiwigo_url' description='URL complète de votre Piwigo'  mandatory='True' />

            <!-- PIWIK -->
            <variable type="oui/non" name='ninegate_activate_widpiwik' description='Activer Piwik'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widpiwik_url' description='URL complète de votre Piwik'  mandatory='True' />
            <variable type='string'  name='ninegate_widpiwik_syncenvole' description='URL Posh-Profil pour synchronisation Piwik' mandatory='True' />

            <!-- ROUNDCUBE -->
            <variable type="oui/non" name='ninegate_activate_widroundcube' description='Activer Roundcube'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widroundcube_url' description='URL complète de votre Roundcube'  mandatory='True' />

            <!-- SACOCHE -->
            <variable type="oui/non" name='ninegate_activate_widsacoche' description='Activer Sacoche'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widsacoche_url' description='URL complète de votre Sacoche'  mandatory='True' />
            <variable type='string'  name='ninegate_widsacoche_syncenvole' description='URL Posh-Profil pour synchronisation Sacoche' mandatory='True' />

            <!-- WORDPRESS -->
            <variable type="oui/non" name='ninegate_activate_widwordpress' description='Activer Wordpress'  mandatory='True'>
                <value>non</value>
            </variable>
            <variable type='string'  name='ninegate_widwordpress_url' description='URL complète de votre Wordpress'  mandatory='True' />
            <variable type='string'  name='ninegate_widwordpress_syncenvole' description='URL Posh-Profil pour synchronisation Wordpress' mandatory='True' />

            <!-- EMAIL -->
            <variable type='string'  name='ninegate_noreply' description='Adresse mail utilisé pour le noreply' mandatory='True' />
            <variable type="oui/non" name='ninegate_activer_localmail' description="Utiliser le serveur d'envoi de mail local" mandatory='True'>
                <value>oui</value>
            </variable>
            <variable type='string'  name='ninegate_maildsn' description='DSN serveur SMTP' />
        </family>

        <family name='EoleDB' icon='database' mode='expert'>
            <!-- EOLEDB -->
            <variable type='string'  name='ninegate_db_mode' description='Serveur de bases de données à utiliser' mode='expert'/>
            <variable type='string'  name='ninegate_dbserver' description='Adresse du serveur de base de données' mode='expert'/>
            <variable type='number'  name='ninegate_dbport' description="Port d'écoute du serveur de base de données" mode='expert'/>
            <variable type='string'  name='ninegate_allow_hosts' description="Hôtes autorisés à utiliser la base de données" multi='True' mode='expert'/>
            <variable type='string'  name='ninegate_dbuser' description='Utilisateur du serveur de base de données' mode='expert'/>
            <variable type='string'  name='ninegate_dbpass' description='Fichier de mot de passe du serveur' mode='expert'/>
        </family>

        <separators>
            <separator name="ninegate_syncldap">Paramètres associés à l'Annuaire</separator>
            <separator name="ninegate_niveau01label">Paramètres associés aux look de l'application</separator>
            <separator name="ninegate_activate_portal">Paramètres associés aux modules à activer</separator>
            <separator name="ninegate_activate_widadminer">Paramètres associés à Adminer</separator>
            <separator name="ninegate_activate_widbalado">Paramètres associés à Balado</separator>
            <separator name="ninegate_activate_widcdt">Paramètres associés à CdT</separator>
            <separator name="ninegate_activate_widdokuwiki">Paramètres associés à Dokuwiki</separator>
            <separator name="ninegate_activate_wideconnect">Paramètres associés à eConnect</separator>
            <separator name="ninegate_activate_widead">Paramètres associés à EAD</separator>
            <separator name="ninegate_activate_wideoe">Paramètres associés à EOE</separator>
            <separator name="ninegate_activate_wideop">Paramètres associés à EOP</separator>
            <separator name="ninegate_activate_widetherhome">Paramètres associés à Etherhome</separator>
            <separator name="ninegate_activate_widfluxbb">Paramètres associés à Fluxbb</separator>
            <separator name="ninegate_activate_widgenconfig">Paramètres associés à GENCONFIG</separator>
            <separator name="ninegate_activate_widgepi">Paramètres associés à GEPI</separator>
            <separator name="ninegate_activate_widglpi">Paramètres associés à GLPI</separator>
            <separator name="ninegate_activate_widgrr">Paramètres associés à Grr</separator>
            <separator name="ninegate_activate_widkanboard">Paramètres associés à Kanboard</separator>
            <separator name="ninegate_activate_widlimesurvey">Paramètres associés à Limesurvey</separator>
            <separator name="ninegate_activate_widmindmaps">Paramètres associés à Mindmaps</separator>
            <separator name="ninegate_activate_widmoodle">Paramètres associés à Moodle</separator>
            <separator name="ninegate_activate_widnextcloud">Paramètres associés à Nextcloud</separator>
            <separator name="ninegate_activate_widnineboard">Paramètres associés à Nineboard</separator>
            <separator name="ninegate_activate_widnineschool">Paramètres associés à Nineschool</separator>
            <separator name="ninegate_activate_widninesurvey">Paramètres associés à Ninesurvey</separator>
            <separator name="ninegate_activate_widonlyoffice">Paramètres associés à Only Office</separator>
            <separator name="ninegate_activate_widopensondage">Paramètres associés à Opensondage</separator>
            <separator name="ninegate_activate_widphpldapadmin">Paramètres associés à phpLdapAdmin</separator>
            <separator name="ninegate_activate_widpiwigo">Paramètres associés à Piwigo</separator>
            <separator name="ninegate_activate_widpiwik">Paramètres associés à Piwik</separator>
            <separator name="ninegate_activate_widroundcube">Paramètres associés à Roundcube</separator>
            <separator name="ninegate_activate_widsacoche">Paramètres associés à Sacoche</separator>
            <separator name="ninegate_activate_widwordpress">Paramètres associés à Wordpress</separator>
            <separator name="ninegate_activate_websocket">Paramètres associés au Serveur WEBSOCKET</separator>
            <separator name="ninegate_noreply">Paramètres associés aux Mails</separator>
            <separator name="ninegate_db_mode">Paramètres EoleDB associés à Ninegate</separator>
        </separators> 
    </variables>

    <constraints>
        <condition name='hidden_if_in' source='activer_apache'>
            <param>non</param>
            <target type='variable'>activer_ninegate</target>
        </condition>

        <condition name='hidden_if_in' source='activer_revprox'>
            <param>non</param>
            <target type='filelist'>nineboard_nginx</target>
        </condition>

        <condition name='hidden_if_in' source='activer_ninegate'>
            <param>non</param>

            <target type='variable'>ninegate_masteridentity</target>
            <target type='variable'>ninegate_mode_auth</target>
            <target type='variable'>ninegate_api_key</target>

            <target type='variable'>ninegate_ssosynchrogroup</target>
            <target type='variable'>ninegate_ssoreqgroup</target>
            <target type='variable'>ninegate_ssosynchroitem</target>
            <target type='variable'>ninegate_ssoreqitem</target>
            <target type='variable'>ninegate_typesso</target>

            <target type='variable'>ninegate_syncldap</target>
            <target type='variable'>ninegate_ldaptemplate</target>
            <target type='variable'>ninegate_scribegroup</target>
            <target type='variable'>ninegate_scribemaster</target>
            <target type='variable'>ninegate_openldapreqniveau01</target>
            <target type='variable'>ninegate_openldapsynchrogroup</target>
            <target type='variable'>ninegate_openldapreqgroup</target>            
            <target type='variable'>ninegate_openldapsubbranchgroup</target>            
            <target type='variable'>ninegate_openldapsubbranchuser</target>            
            
            <target type='variable'>ninegate_ldaptype</target>
            <target type='variable'>ninegate_pwdadmin</target>
            <target type='variable'>ninegate_organization</target>
            <target type='variable'>ninegate_niveau01branche</target>
            <target type='variable'>ninegate_niveau02branche</target>
            <target type='variable'>ninegate_niveau01name</target>
            <target type='variable'>ninegate_niveau01siren</target>

            <target type='variable'>ninegate_niveau01label</target>
            <target type='variable'>ninegate_niveau01labels</target>
            <target type='variable'>ninegate_niveau01icon</target>
            <target type='variable'>ninegate_niveau02view</target>
            <target type='variable'>ninegate_niveau02label</target>
            <target type='variable'>ninegate_niveau02labels</target>
            <target type='variable'>ninegate_niveau02icon</target>
            <target type='variable'>ninegate_colormain</target>
            <target type='variable'>ninegate_fontcolorhover</target>
            <target type='variable'>ninegate_moderegistration</target>
            <target type='variable'>ninegate_keyterm</target>
            <target type='variable'>ninegate_minpassword</target>
            <target type='variable'>ninegate_forcetheme</target>
            <target type='variable'>ninegate_forcethemename</target>            

            <target type='variable'>ninegate_activate_portal</target>
            <target type='variable'>ninegate_activate_page</target>
            <target type='variable'>ninegate_activate_item</target>
            <target type='variable'>ninegate_activate_alert</target>
            <target type='variable'>ninegate_activate_calendar</target>
            <target type='variable'>ninegate_activate_blog</target>
            <target type='variable'>ninegate_activate_project</target>
            <target type='variable'>ninegate_activate_flux</target>
            <target type='variable'>ninegate_activate_notice</target>
            <target type='variable'>ninegate_activate_syncenvole</target>
            <target type='variable'>ninegate_activate_cron</target>
            <target type='variable'>ninegate_activate_websocket</target>
            
            <target type='variable'>ninegate_noreply</target>
            <target type='variable'>ninegate_activer_localmail</target>
            <target type='variable'>ninegate_maildsn</target>

            <target type='variable'>ninegate_db_mode</target>
            <target type='variable'>ninegate_dbserver</target>
            <target type='variable'>ninegate_dbport</target>
            <target type='variable'>ninegate_allow_hosts</target>
            <target type='variable'>ninegate_dbuser</target>
            <target type='variable'>ninegate_dbpass</target>

            <target type='filelist'>ninegate</target>
            <target type='filelist'>ninegate_nginx</target>
            <target type='filelist'>ninegate-migration</target>

            <target type='servicelist'>ninegate</target>
        </condition>

        <condition name='hidden_if_in' source='activer_envole_migration' fallback='True'>
            <param>non</param>
            <target type='filelist'>ninegate-migration</target>
        </condition>

        <condition name='hidden_if_in' source='ninegate_masteridentity'>
            <param>LDAP</param>
            <param>SSO</param>

            <target type='variable'>ninegate_syncldap</target>
            <target type='variable'>ninegate_moderegistration</target>
            <target type='variable'>ninegate_keyterm</target>            
            <target type='variable'>ninegate_minpassword</target>
        </condition>  

        <condition name='hidden_if_in' source='ninegate_masteridentity'>
            <param>SQL</param>
            <param>SSO</param>

            <target type='variable'>ninegate_ldaptemplate</target>
            <target type='variable'>ninegate_test_conf_cadolesldap</target>
        </condition>  

        <condition name='hidden_if_in' source='ninegate_masteridentity'>
            <param>SQL</param>
            <param>LDAP</param>

            <target type='variable'>ninegate_ssosynchrogroup</target>
            <target type='variable'>ninegate_ssoreqgroup</target>
            <target type='variable'>ninegate_ssosynchroitem</target>
            <target type='variable'>ninegate_ssoreqitem</target> 
        </condition>

        <condition name='hidden_if_in' source='ninegate_mode_auth'>
            <param>SQL</param>
            <param>LDAP</param>
            <param>SAML</param>
            
            <target type='variable'>ninegate_typesso</target>                           
        </condition>

        <condition name='hidden_if_in' source='ninegate_syncldap'>
            <param>non</param>

            <target type='variable'>ninegate_ldaptype</target>
            <target type='variable'>ninegate_pwdadmin</target>
            <target type='variable'>ninegate_niveau01name</target>
            <target type='variable'>ninegate_niveau01siren</target>
        </condition>   

        <fill name='calc_multi_condition' target='activer_admin_passfile'>
            <param>non</param>
            <param type='eole' name='condition_1' hidden='False'>ninegate_syncldap</param>
            <param name="operator">AND</param>
            <param type='eole' name='condition_2' hidden='False'>activer_cadolesldap</param>
            <param name='match'>non</param>
            <param name='mismatch'>oui</param>
            <param name='default_mismatch'>non</param>
        </fill>
        
        <auto name='calc_multi_condition' target='ninegate_test_conf_cadolesldap'>
            <param>CadolesLDAP</param>
            <param type='eole' name='condition_1' hidden='False'>ninegate_ldaptemplate</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </auto>

        <auto name='calc_multi_condition' target='ninegate_test_conf_ldap'>
            <param>oui</param>
            <param name="operator">OR</param>
            <param type='eole' name='condition_1' hidden='False'>ninegate_syncldap</param>
            <param type='eole' name='condition_2' hidden='False'>ninegate_test_conf_cadolesldap</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
        </auto>

        <condition name='hidden_if_in' source='ninegate_test_conf_ldap'>
            <param>non</param>

            <target type='variable'>ninegate_organization</target>
            <target type='variable'>ninegate_niveau01branche</target>
            <target type='variable'>ninegate_niveau02branche</target>
        </condition>   

        <condition name='hidden_if_in' source='ninegate_niveau02view'>
            <param>non</param>

            <target type='variable'>ninegate_niveau02label</target>
            <target type='variable'>ninegate_niveau02labels</target>
            <target type='variable'>ninegate_niveau02icon</target>
        </condition>   

        <auto name='calc_multi_condition' target='ninegate_test_ninegate'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_ninegate</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
        </auto>

        <!-- AFFICHAGE EN FONCTION DE SSO SYNCHRO GROUPE -->
        <condition name='hidden_if_in' source='ninegate_ssosynchrogroup'>
            <param>non</param>

            <target type='variable'>ninegate_ssoreqgroup</target>
        </condition>

        <!-- AFFICHAGE EN FONCTION DE SSO SYNCHRO ITEM -->
        <condition name='hidden_if_in' source='ninegate_ssosynchroitem'>
            <param>non</param>

            <target type='variable'>ninegate_ssoreqitem</target>
        </condition>
        
        <!-- AFFICHAGE EN FONCTION DE CADOLESLDAP -->
        <fill name='calc_val' target='ninegate_pwdadmin'>
            <param type='eole' hidden='False'>cadolesldap_pwdadmin</param>
        </fill>

        <fill name='calc_val_first_value' target='ninegate_organization'>
            <param type='eole' optional='True' hidden='False'>cadolesldap_organization</param>
            <param type='eole'>libelle_etab</param>
        </fill>

        <fill name='calc_val_first_value' target='ninegate_niveau01branche'>
            <param type='eole' hidden='False'>cadolesldap_niveau01branche</param>
            <param>niveau01</param>
        </fill>

        <fill name='calc_val_first_value' target='ninegate_niveau02branche'>
            <param type='eole' hidden='False'>cadolesldap_niveau02branche</param>
            <param>niveau01</param>
        </fill>

        <fill name='calc_val_first_value' target='ninegate_niveau01name'>
            <param type='eole' optional='True' hidden='False'>cadolesldap_niveau01name</param>
            <param type='eole'>libelle_etab</param>
        </fill>

        <fill name='calc_val' target='ninegate_niveau01siren'>
            <param type='eole' hidden='False'>cadolesldap_niveau01siren</param>
        </fill>

        <!-- AFFICHAGE EN FONCTION DU MODE SCRIBE -->
        <condition name='hidden_if_not_in' source='ninegate_ldaptemplate'>
            <param>scribe</param>

            <target type='variable'>ninegate_scribegroup</target>
            <target type='variable'>ninegate_scribemaster</target>
        </condition>

        <!-- AFFICHAGE EN FONCTION DU MODE OPEN -->
        <condition name='hidden_if_not_in' source='ninegate_ldaptemplate'>
            <param>open</param>

            <target type='variable'>ninegate_openldapreqniveau01</target>
            <target type='variable'>ninegate_openldapsynchrogroup</target>
            <target type='variable'>ninegate_openldapreqgroup</target>
            <target type='variable'>ninegate_openldapsubbranchgroup</target>
            <target type='variable'>ninegate_openldapsubbranchuser</target>
        </condition>        

        <!-- AFFICHAGE EN FONCTION DU LDAP SYNCHRO GROUP -->
        <condition name='hidden_if_in' source='ninegate_openldapsynchrogroup'>
            <param>non</param>

            <target type='variable'>ninegate_openldapreqgroup</target>
        </condition>

        <!-- AFFICHAGE EN FONCTION DU MODE SCRIBE -->
        <condition name='hidden_if_not_in' source='ninegate_ldaptype'>
            <param>AD</param>

            <target type='variable'>ninegate_addomainehome</target>
            <target type='variable'>ninegate_addomaineprofil</target>
        </condition>

        <!-- AFFICHAGE EN FONCTION DU FORCE THEME -->
        <condition name='hidden_if_in' source='ninegate_forcetheme'>
            <param>non</param>

            <target type='variable'>ninegate_forcethemename</target>
        </condition>

        <!-- AFFICHAGE EN FONCTION DU MODULE PORTAL -->
        <condition name='hidden_if_in' source='ninegate_activate_portal'>
            <param>non</param>

            <target type='variable'>ninegate_activate_widadminer</target>
            <target type='variable'>ninegate_activate_widbalado</target>
            <target type='variable'>ninegate_activate_widcdt</target>
            <target type='variable'>ninegate_activate_widdokuwiki</target>
            <target type='variable'>ninegate_activate_wideconnect</target>
            <target type='variable'>ninegate_activate_widead</target>
            <target type='variable'>ninegate_activate_wideoe</target>
            <target type='variable'>ninegate_activate_wideop</target>
            <target type='variable'>ninegate_activate_widetherhome</target>
            <target type='variable'>ninegate_activate_widfluxbb</target>
            <target type='variable'>ninegate_activate_widgenconfig</target>
            <target type='variable'>ninegate_activate_widgepi</target>
            <target type='variable'>ninegate_activate_widglpi</target>
            <target type='variable'>ninegate_activate_widgrr</target>
            <target type='variable'>ninegate_activate_widkanboard</target>
            <target type='variable'>ninegate_activate_widlimesurvey</target>
            <target type='variable'>ninegate_activate_widmindmaps</target>
            <target type='variable'>ninegate_activate_widmoodle</target>
            <target type='variable'>ninegate_activate_widnextcloud</target>
            <target type='variable'>ninegate_activate_widnineboard</target>
            <target type='variable'>ninegate_activate_widnineschool</target>
            <target type='variable'>ninegate_activate_widninesurvey</target>
            <target type='variable'>ninegate_activate_widonlyoffice</target>
            <target type='variable'>ninegate_activate_widopensondage</target>
            <target type='variable'>ninegate_activate_widphpldapadmin</target>
            <target type='variable'>ninegate_activate_widpiwigo</target>
            <target type='variable'>ninegate_activate_widpiwik</target>
            <target type='variable'>ninegate_activate_widroundcube</target>
            <target type='variable'>ninegate_activate_widsacoche</target>
            <target type='variable'>ninegate_activate_widwordpress</target>
        </condition>   

        <condition name='hidden_if_in' source='ninegate_activate_portal'>
            <param>oui</param>

            <target type='variable'>ninegate_activate_page</target>
            <target type='variable'>ninegate_activate_item</target>
            <target type='variable'>ninegate_activate_alert</target>
            <target type='variable'>ninegate_activate_calendar</target>
            <target type='variable'>ninegate_activate_blog</target>
            <target type='variable'>ninegate_activate_project</target>
            <target type='variable'>ninegate_activate_flux</target>
            <target type='variable'>ninegate_activate_notice</target>
        </condition>   



        <!-- AFFICHAGE EN FONCTION DU MODULE SYNCENVOLE -->
        <condition name='hidden_if_in' source='ninegate_activate_syncenvole'>
            <param>non</param>

            <target type='variable'>ninegate_widbalado_syncenvole</target>
            <target type='variable'>ninegate_widcdt_syncenvole</target>
            <target type='variable'>ninegate_widgepi_syncenvole</target>
            <target type='variable'>ninegate_widlimesurvey_syncenvole</target>
            <target type='variable'>ninegate_widmoodle_syncenvole</target>
            <target type='variable'>ninegate_widnextcloud_syncenvole</target>
            <target type='variable'>ninegate_widpiwik_syncenvole</target>
            <target type='variable'>ninegate_widsacoche_syncenvole</target>
            <target type='variable'>ninegate_widwordpress_syncenvole</target>
        </condition>   


        <condition name='hidden_if_in' source='poshprofil_typesynchro'>
            <param>ENT</param>
            <target type='variable'>ninegate_widpiwik_syncenvole</target>
        </condition>

        <condition name='hidden_if_in' source='poshprofil_typesynchro'>
            <param>Annuaire</param>
            <target type='variable'>ninegate_widbalado_syncenvole</target>
            <target type='variable'>ninegate_widcdt_syncenvole</target>
            <target type='variable'>ninegate_widgepi_syncenvole</target>
            <target type='variable'>ninegate_widnextcloud_syncenvole</target>
            <target type='variable'>ninegate_widsacoche_syncenvole</target>
        </condition>

        <!-- AFFICHAGE EN FONCTION DU WIDGET ADMINER -->
        <fill name='calc_multi_condition' target='ninegate_activate_widadminer'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_adminer</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widadminer'>
            <param>non</param>

            <target type='variable'>ninegate_widadminer_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widadminer_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_adminer</param>
            <param name='match'>/adminer</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET BALADO -->
        <fill name='calc_multi_condition' target='ninegate_activate_widbalado'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_balado</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widbalado'>
            <param>non</param>

            <target type='variable'>ninegate_widbalado_url</target>
            <target type='variable'>ninegate_widbalado_syncenvole</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widbalado_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_balado</param>
            <param name='match'>/balado</param>
            <param name='default_mismatch'>None</param>
        </fill>

        <fill name='calc_multi_condition' target='ninegate_widbalado_syncenvole'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_balado</param>
            <param name='match'>/posh-profil</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET CDT -->
        <fill name='calc_multi_condition' target='ninegate_activate_widcdt'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_cdt</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widcdt'>
            <param>non</param>

            <target type='variable'>ninegate_widcdt_url</target>
            <target type='variable'>ninegate_widcdt_syncenvole</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widcdt_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_cdt</param>
            <param name='match'>/cdt</param>
            <param name='default_mismatch'>None</param>
        </fill>

        <fill name='calc_multi_condition' target='ninegate_widcdt_syncenvole'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_cdt</param>
            <param name='match'>/posh-profil</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET DOKUWIKI -->
        <fill name='calc_multi_condition' target='ninegate_activate_widdokuwiki'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_dokuwiki</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widdokuwiki'>
            <param>non</param>

            <target type='variable'>ninegate_widdokuwiki_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widdokuwiki_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_dokuwiki</param>
            <param name='match'>/dokuwiki</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET ECONNECT -->
        <fill name='calc_multi_condition' target='ninegate_activate_wideconnect'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_econnect</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_wideconnect'>
            <param>non</param>

            <target type='variable'>ninegate_wideconnect_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_wideconnect_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_econnect</param>
            <param name='match'>/econnect</param>
            <param name='default_mismatch'>None</param>
        </fill>


        <!-- AFFICHAGE EN FONCTION DU WIDGET EAD -->
        <fill name='calc_multi_condition' target='ninegate_activate_widead'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_ead_web</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>
        
        <!-- AFFICHAGE EN FONCTION DU WIDGET EOE -->
        <fill name='calc_multi_condition' target='ninegate_activate_wideoe'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_eoe</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_wideoe'>
            <param>non</param>

            <target type='variable'>ninegate_wideoe_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_wideoe_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_eoe</param>
            <param name='match'>/eoleapps/eleves/passperso</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET EOP -->
        <fill name='calc_multi_condition' target='ninegate_activate_wideop'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_eop</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_wideop'>
            <param>non</param>

            <target type='variable'>ninegate_wideop_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_wideop_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_eop</param>
            <param name='match'>/eoleapps/eop</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET ETHERHOME -->
        <fill name='calc_multi_condition' target='ninegate_activate_widetherhome'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_etherhome</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widetherhome'>
            <param>non</param>

            <target type='variable'>ninegate_widetherhome_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widetherhome_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_etherhome</param>
            <param name='match'>/etherhome</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET FLUXBB -->
        <fill name='calc_multi_condition' target='ninegate_activate_widfluxbb'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_fluxbb</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widfluxbb'>
            <param>non</param>

            <target type='variable'>ninegate_widfluxbb_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widfluxbb_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_fluxbb</param>
            <param name='match'>/fluxbb</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET GENCONFIG -->
        <fill name='calc_multi_condition' target='ninegate_activate_widgenconfig'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_genconfig</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widgenconfig'>
            <param>non</param>

            <target type='variable'>ninegate_widgenconfig_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widgenconfig_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_genconfig</param>
            <param name='match'>/genconfig</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET GEPI -->
        <fill name='calc_multi_condition' target='ninegate_activate_widgepi'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_gepi</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widgepi'>
            <param>non</param>

            <target type='variable'>ninegate_widgepi_url</target>
            <target type='variable'>ninegate_widgepi_syncenvole</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widgepi_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_gepi</param>
            <param name='match'>/gepi</param>
            <param name='default_mismatch'>None</param>
        </fill>

        <fill name='calc_multi_condition' target='ninegate_widgepi_syncenvole'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_gepi</param>
            <param name='match'>/posh-profil</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET GLPI -->
        <fill name='calc_multi_condition' target='ninegate_activate_widglpi'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_glpi</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widglpi'>
            <param>non</param>

            <target type='variable'>ninegate_widglpi_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widglpi_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_glpi</param>
            <param name='match'>/glpi</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET GRR -->
        <fill name='calc_multi_condition' target='ninegate_activate_widgrr'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_grr</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widgrr'>
            <param>non</param>

            <target type='variable'>ninegate_widgrr_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widgrr_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_grr</param>
            <param name='match'>/grr</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET KANBOARD -->
        <fill name='calc_multi_condition' target='ninegate_activate_widkanboard'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_kanboard</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widkanboard'>
            <param>non</param>

            <target type='variable'>ninegate_widkanboard_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widkanboard_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_kanboard</param>
            <param name='match'>/kanboard</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET LIMESURVEY -->
        <fill name='calc_multi_condition' target='ninegate_activate_widlimesurvey'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_limesurvey</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widlimesurvey'>
            <param>non</param>

            <target type='variable'>ninegate_widlimesurvey_url</target>
            <target type='variable'>ninegate_widlimesurvey_apiuser</target>
            <target type='variable'>ninegate_widlimesurvey_apikey</target>
            <target type='variable'>ninegate_widlimesurvey_syncenvole</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widlimesurvey_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_limesurvey</param>
            <param name='match'>/limesurvey</param>
            <param name='default_mismatch'>None</param>
        </fill>

        <fill name='calc_multi_condition' target='ninegate_widlimesurvey_apiuser'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_limesurvey</param>
            <param name='match'>restuser</param>
            <param name='default_mismatch'>None</param>
        </fill>

        <fill name='calc_multi_condition' target='ninegate_widlimesurvey_apikey'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_limesurvey</param>
            <param name='match'>apikeyenvole</param>
            <param name='default_mismatch'>None</param>
        </fill>

        <fill name='calc_multi_condition' target='ninegate_widlimesurvey_syncenvole'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_limesurvey</param>
            <param name='match'>/posh-profil</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET MINDMAPS -->
        <fill name='calc_multi_condition' target='ninegate_activate_widmindmaps'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_mindmaps</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widmindmaps'>
            <param>non</param>

            <target type='variable'>ninegate_widmindmaps_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widmindmaps_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_mindmaps</param>
            <param name='match'>/mindmaps</param>
            <param name='default_mismatch'>None</param>
        </fill>



        <!-- AFFICHAGE EN FONCTION DU WIDGET MOODLE -->
        <fill name='calc_multi_condition' target='ninegate_activate_widmoodle'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_moodle</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widmoodle'>
            <param>non</param>

            <target type='variable'>ninegate_widmoodle_url</target>
            <target type='variable'>ninegate_widmoodle_apikey</target>
            <target type='variable'>ninegate_widmoodle_syncenvole</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widmoodle_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_moodle</param>
            <param name='match'>/moodle</param>
            <param name='default_mismatch'>None</param>
        </fill>

        <fill name='calc_multi_condition' target='ninegate_widmoodle_apikey'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_moodle</param>
            <param type='eole' name='match' hidden='False'>moodle_apikey</param>
            <param name='default_mismatch'>None</param>
        </fill>

        <fill name='calc_multi_condition' target='ninegate_widmoodle_syncenvole'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_moodle</param>
            <param name='match'>/posh-profil</param>
            <param name='default_mismatch'>None</param>
        </fill>
        
        
        
        
        <!-- AFFICHAGE EN FONCTION DU WIDGET NEXTCLOUD -->
        <fill name='calc_multi_condition' target='ninegate_activate_widnextcloud'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_nextcloud</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widnextcloud'>
            <param>non</param>

            <target type='variable'>ninegate_widnextcloud_url</target>
            <target type='variable'>ninegate_widnextcloud_syncenvole</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widnextcloud_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_nextcloud</param>
            <param name='match'>/nextcloud</param>
            <param name='default_mismatch'>None</param>
        </fill>
        
        <fill name='calc_multi_condition' target='ninegate_widnextcloud_syncenvole'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_nextcloud</param>
            <param name='match'>/posh-profil</param>
            <param name='default_mismatch'>None</param>
        </fill>



       
        <!-- AFFICHAGE EN FONCTION DU WIDGET NINEBOARD -->
        <fill name='calc_multi_condition' target='ninegate_activate_widnineboard'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_nineboard</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widnineboard'>
            <param>non</param>

            <target type='variable'>ninegate_widnineboard_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widnineboard_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_nineboard</param>
            <param name='match'>/nineboard</param>
            <param name='default_mismatch'>None</param>
        </fill>



       
        <!-- AFFICHAGE EN FONCTION DU WIDGET NINESCHOOL -->
        <fill name='calc_multi_condition' target='ninegate_activate_widnineschool'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_nineschool</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widnineschool'>
            <param>non</param>

            <target type='variable'>ninegate_widnineschool_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widnineschool_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_nineschool</param>
            <param name='match'>/nineschool</param>
            <param name='default_mismatch'>None</param>
        </fill>



       
        <!-- AFFICHAGE EN FONCTION DU WIDGET NINESURVEY -->
        <fill name='calc_multi_condition' target='ninegate_activate_widninesurvey'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_ninesurvey</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widninesurvey'>
            <param>non</param>

            <target type='variable'>ninegate_widninesurvey_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widninesurvey_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_ninesurvey</param>
            <param name='match'>/ninesurvey</param>
            <param name='default_mismatch'>None</param>
        </fill>



       
        <!-- AFFICHAGE EN FONCTION DU WIDGET OPENSONDAGE -->
        <fill name='calc_multi_condition' target='ninegate_activate_widopensondage'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_opensondage</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widopensondage'>
            <param>non</param>

            <target type='variable'>ninegate_widopensondage_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widopensondage_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_opensondage</param>
            <param name='match'>/opensondage</param>
            <param name='default_mismatch'>None</param>
        </fill>





        <!-- AFFICHAGE EN FONCTION DU WIDGET ONLYOFFICE -->
        <condition name='hidden_if_in' source='ninegate_activate_widonlyoffice'>
            <param>non</param>

            <target type='variable'>ninegate_widonlyoffice_url</target>
            <target type='variable'>ninegate_widonlyoffice_sync</target>
        </condition>   

        <condition name='hidden_if_in' source='ninegate_widonlyoffice_sync'>
            <param>non</param>

            <target type='variable'>ninegate_widonlyoffice_user</target>
            <target type='variable'>ninegate_widonlyoffice_password</target>
        </condition>   




        <!-- AFFICHAGE EN FONCTION DU WIDGET PHPLDAPADMIN -->
        <fill name='calc_multi_condition' target='ninegate_activate_widphpldapadmin'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_phpldapadmin</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widphpldapadmin'>
            <param>non</param>

            <target type='variable'>ninegate_widphpldapadmin_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widphpldapadmin_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_phpldapadmin</param>
            <param name='match'>/phpldapadmin</param>
            <param name='default_mismatch'>None</param>
        </fill>




        <!-- AFFICHAGE EN FONCTION DU WIDGET PIWIGO -->
        <fill name='calc_multi_condition' target='ninegate_activate_widpiwigo'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_piwigo</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widpiwigo'>
            <param>non</param>

            <target type='variable'>ninegate_widpiwigo_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widpiwigo_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_piwigo</param>
            <param name='match'>/piwigo</param>
            <param name='default_mismatch'>None</param>
        </fill>

        
        
        
        <!-- AFFICHAGE EN FONCTION DU WIDGET PIWIK -->
        <fill name='calc_multi_condition' target='ninegate_activate_widpiwik'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_piwik</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widpiwik'>
            <param>non</param>

            <target type='variable'>ninegate_widpiwik_url</target>
            <target type='variable'>ninegate_widpiwik_syncenvole</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widpiwik_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_piwik</param>
            <param name='match'>/piwik</param>
            <param name='default_mismatch'>None</param>
        </fill>

        <fill name='calc_multi_condition' target='ninegate_widpiwik_syncenvole'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_piwik</param>
            <param name='match'>/posh-profil</param>
            <param name='default_mismatch'>None</param>
        </fill>




        <!-- AFFICHAGE EN FONCTION DU WIDGET ROUNDCUBE -->
        <fill name='calc_multi_condition' target='ninegate_activate_widroundcube'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_roundcube</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widroundcube'>
            <param>non</param>

            <target type='variable'>ninegate_widroundcube_url</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widroundcube_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_roundcube</param>
            <param name='match'>/roundcube</param>
            <param name='default_mismatch'>None</param>
        </fill>




        <!-- AFFICHAGE EN FONCTION DU WIDGET SACOCHE -->
        <fill name='calc_multi_condition' target='ninegate_activate_widsacoche'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_sacoche</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widsacoche'>
            <param>non</param>

            <target type='variable'>ninegate_widsacoche_url</target>
            <target type='variable'>ninegate_widsacoche_syncenvole</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widsacoche_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_sacoche</param>
            <param name='match'>/sacoche</param>
            <param name='default_mismatch'>None</param>
        </fill>

        <fill name='calc_multi_condition' target='ninegate_widsacoche_syncenvole'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_sacoche</param>
            <param name='match'>/posh-profil</param>
            <param name='default_mismatch'>None</param>
        </fill>




        <!-- AFFICHAGE EN FONCTION DU WIDGET WORDPRESS -->
        <fill name='calc_multi_condition' target='ninegate_activate_widwordpress'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_wordpress</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
            <param name='default_mismatch'>non</param>
        </fill>

        <condition name='hidden_if_in' source='ninegate_activate_widwordpress'>
            <param>non</param>

            <target type='variable'>ninegate_widwordpress_url</target>
            <target type='variable'>ninegate_widwordpress_syncenvole</target>
        </condition>   

        <fill name='calc_multi_condition' target='ninegate_widwordpress_url'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_wordpress</param>
            <param name='match'>/wordpress</param>
            <param name='default_mismatch'>None</param>
        </fill>

        <fill name='calc_multi_condition' target='ninegate_widwordpress_syncenvole'>
            <param>oui</param>
            <param type='eole' name='condition_1' hidden='False'>activer_wordpress</param>
            <param name='match'>/posh-profil</param>
            <param name='default_mismatch'>None</param>
        </fill>




        <!-- AFFICHAGE EN FONCTION DU WIDGET SONDE -->
        <auto name='calc_multi_condition' target='ninegate_test_sonde'>
            <param>oui</param>
            <param name="operator">OR</param>
            <param type='eole' name='condition_1' hidden='False'>activer_sondepiwik_local</param>
            <param type='eole' name='condition_2' hidden='False'>activer_piwik</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
        </auto>


        <!-- AFFICHAGE EN FONCTION DU MAIL -->
        <condition name='hidden_if_in' source='ninegate_activer_localmail'>
            <param>oui</param>

            <target type='variable'>ninegate_maildsn</target>
        </condition>
         

        <!-- AFFICHAGE EN FONCTION DU MODE DE BDD -->
        <condition name='hidden_if_in' source='ninegate_db_mode'>
            <param>local</param>
            <target type='variable'>ninegate_dbserver</target>
            <target type='variable'>ninegate_dbuser</target>
            <target type='variable'>ninegate_dbport</target>
            <target type='variable'>ninegate_dbpass</target>
        </condition>
        <condition name='hidden_if_in' source='ninegate_db_mode'>
            <param>default</param>
            <target type='variable'>ninegate_dbserver</target>
            <target type='variable'>ninegate_dbuser</target>
            <target type='variable'>ninegate_dbport</target>
            <target type='variable'>ninegate_dbpass</target>
            <target type='variable'>ninegate_allow_hosts</target>
        </condition>

        <!-- CONCAT -->
        <fill name='concat' target='ninegate_noreply'>
            <param>noreply@</param>
            <param type='eole'>domaine_messagerie_etab</param>
        </fill>


        <!-- VALID EMUN DES DIFFRENTES COMBO -->
        <check name='valid_enum' target='ninegate_masteridentity'>
            <param>['LDAP', 'SQL', 'SSO']</param>
        </check>

        <check name='valid_enum' target='ninegate_mode_auth'>
            <param>['CAS', 'SAML', 'SQL', 'LDAP']</param>
        </check>

        <check name='valid_enum' target='ninegate_typesso'>
            <param>['client', 'proxy']</param>
        </check>

        <check name='valid_enum' target='ninegate_moderegistration'>
            <param>['none', 'byuser', 'byadmin']</param>
        </check>

        <check name='valid_enum' target='ninegate_ldaptemplate'>
            <param>['scribe', 'open', 'CadolesLDAP']</param>
        </check>

        <check name='valid_enum' target='ninegate_ldaptype'>
            <param>['LDAP', 'AD']</param>
        </check>
        
        <check name='valid_enum' target='ninegate_db_mode'>
            <param>['default', 'externe', 'local']</param>
        </check>


    </constraints>
    <help>
    </help>
</creole>
